# -*- coding: utf-8 -*-
# Generated by Django 1.9.4 on 2016-03-05 21:50
from __future__ import unicode_literals

from django.db import migrations, models
import django.db.models.deletion
import django.utils.timezone


class Migration(migrations.Migration):

    initial = True

    dependencies = [
    ]

    operations = [
        migrations.CreateModel(
            name='Survey',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('label', models.CharField(max_length=100, unique=True)),
                ('active', models.BooleanField(default=True)),
            ],
        ),
        migrations.CreateModel(
            name='SurveyAnswer',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('value', models.TextField(blank=True)),
                ('value_boolean', models.NullBooleanField()),
                ('created', models.DateTimeField(default=django.utils.timezone.now, editable=False, verbose_name='created')),
            ],
        ),
        migrations.CreateModel(
            name='SurveyInstance',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('code', models.CharField(max_length=200, unique=True)),
            ],
        ),
        migrations.CreateModel(
            name='SurveyQuestion',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('question', models.TextField()),
                ('kind', models.IntegerField(choices=[(0, b'text field'), (1, b'textarea'), (2, b'radio choices'), (3, b'checkbox field (can select multiple answers'), (4, b'boolean field')])),
                ('help_text', models.TextField(blank=True)),
                ('ordinal', models.IntegerField(blank=True)),
                ('required', models.BooleanField(default=False)),
                ('survey', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='questions', to='pinax_waitinglist.Survey')),
            ],
            options={
                'ordering': ['ordinal'],
            },
        ),
        migrations.CreateModel(
            name='SurveyQuestionChoice',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('label', models.CharField(max_length=100)),
                ('question', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='choices', to='pinax_waitinglist.SurveyQuestion')),
            ],
        ),
        migrations.CreateModel(
            name='WaitingListEntry',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('email', models.EmailField(max_length=254, unique=True, verbose_name='email address')),
                ('created', models.DateTimeField(default=django.utils.timezone.now, editable=False, verbose_name='created')),
            ],
            options={
                'verbose_name': 'waiting list entry',
                'verbose_name_plural': 'waiting list entries',
            },
        ),
        migrations.AddField(
            model_name='surveyinstance',
            name='entry',
            field=models.OneToOneField(on_delete=django.db.models.deletion.CASCADE, to='pinax_waitinglist.WaitingListEntry'),
        ),
        migrations.AddField(
            model_name='surveyinstance',
            name='survey',
            field=models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='instances', to='pinax_waitinglist.Survey'),
        ),
        migrations.AddField(
            model_name='surveyanswer',
            name='instance',
            field=models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='answers', to='pinax_waitinglist.SurveyInstance'),
        ),
        migrations.AddField(
            model_name='surveyanswer',
            name='question',
            field=models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='answers', to='pinax_waitinglist.SurveyQuestion'),
        ),
        migrations.AlterUniqueTogether(
            name='surveyquestion',
            unique_together=set([('survey', 'question')]),
        ),
    ]
